<nav class="navbar navbar-expand-lg navbar-dark shadow-lg">
    <div class="container justify-content-center">
        <a class="navbar-brand logo-title" [routerLink]="['/object-lost']">
            <img src="assets/img/favicon.ico" width="30" height="30" class="d-inline-block align-top align-middle"
                alt="Lost N' Found" loading="lazy">
            Lost N' Found
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <ng-template [ngIf]="authService.getRole()">
                    <li class="nav-item">
                        <a class="nav-link align-middle" [routerLink]="['/management/administration']">Management <span
                                class="material-icons align-middle"></span></a>
                    </li>
                </ng-template>
                <li class="nav-item">
                    <a class="nav-link align-middle" [routerLink]="['/object-found']">J'ai trouvé un objet <span
                            class="material-icons align-middle"></span><span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link align-middle" [routerLink]="['/object-lost']">Je cherche un objet <span
                            class="material-icons align-middle"></span></a>
                </li>

            </ul>
            <ul class="navbar-nav ml-auto">
                <ng-template [ngIf]="!authService.getRole()">
                    <button type="button" class="btn btn-outline-success my-2 my-sm-0" data-toggle="modal"
                        data-target="#staticBackdrop">
                        Retrouvé par le propiétaire!
                    </button>
                </ng-template>
                <a class="nav-link" [routerLink]="['/about']">About</a>
                <li class="nav-item dropdown">

                    <ng-template [ngIf]="authService.getRole()">
                        <!-- <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Profil
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                            <ng-template [ngIf]="authService.getRole() == 'USER'">
                            <a class="nav-link align-middle" [routerLink]="['/home']">Mon profil <span
                                    class="align-middle"></span><span class="sr-only">(current)</span></a>
                            
                            <div class="dropdown-divider"></div>
                            </div>
                        </ng-template> -->

                            <a class="nav-link logout" [routerLink]="['/signin']" (click)="logout()">Déconnexion 
                                <!-- <span class="material-icons p-0 m-0">
                                        power_settings_new
                                        </span> -->
                                    </a>
                        
                    </ng-template>
                </li>
            </ul>

        </div>
        <!-- <ng-template #elseBlock>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link" [routerLink]="['/signin']">Se connecter <span
                                class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" [routerLink]="['/signup']">S'inscrire</a>
                    </li>
                </ul>
            </div>
        </ng-template> -->
    </div>

</nav>

<div class="all-body">
    <div class="container body-router pt-3">
        <!-- <span class="d-block p-2 bg-danger text-white text-center mb-2">
            <h4>⚠ Info COVID! <a class="covid" [routerLink]="['/covid']"> Cliquez ici pour connaître les récommendations!</a> ⚠ </h4>
        </span> -->
        <div *ngIf="success" class="alert alert-success alert-dismissible fade show" role="alert">
            <strong>L'objet a été bien déclaré comme retrouvé!</strong>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <router-outlet></router-outlet>
    </div>
</div>

<!-- Button trigger modal -->


<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">Déclarer l'objet comme retrouvé</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="container body-router pt-3">
                <div *ngFor="let error of errors" class="alert alert-danger alert-dismissible fade show" role="alert">
                   <small> <strong>{{error.text}}</strong></small>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form [formGroup]="codeForm" (ngSubmit)="sendCode()" novalidate>
                    <div class="modal-body">
                        <label for="inputCode">Insérez le code que vous avez recu lors de la publication de
                            l'objet:</label>
                        <input type="text" class="form-control" formControlName="code" maxlength="8"
                            placeholder="ex. 98765412" id="inputCode" aria-label="Code"
                            [ngClass]="{ 'is-invalid': codeForm.controls['code'].invalid && (codeForm.controls['code'].dirty || codeForm.controls['code'].touched)}">
                        <div class="form-control-feedback"
                            *ngIf="codeForm.controls['code'].invalid && (codeForm.controls['code'].dirty || codeForm.controls['code'].touched)">
                            <div style="color:red; font-size:small"
                                *ngIf="codeForm.controls['code'].errors.pattern || codeForm.controls['code'].errors.required">
                                Inserez le code à 8 chiffres
                            </div>
                        </div>
                        <small>*Toutes les données concernant l'objet seront suprimées. </small>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" id="cancelCodeModal" data-dismiss="modal">Annuler</button>
                        <button type="submit" [disabled]="codeForm.invalid" class="btn btn-primary">Déclarer!</button>
                    </div>
                </form>
            </div>
        </div>
    </div>